Unstable version

I have a problem when I run the dynare unstable version:

??? Attempt to execute SCRIPT k_order_perturbation as a function:
C:\dynare\2012-12-25\matlab\k_order_perturbation.m

Error in ==> k_order_pert at 39
[err, g_0, g_1, g_2, g_3] = k_order_perturbation(dr,M,options);

Error in ==> stochastic_solvers at 65
[dr,info] = k_order_pert(dr,M_,options_,oo_);

Error in ==> resol at 113
[dr,info] = stochastic_solvers(dr,check_flag,M,options,oo);

Error in ==> stoch_simul at 76
[oo_.dr,info,M_,options_,oo_] = resol(0,M_,options_,oo_);

Error in ==> ireland_uncertainty at 239
info = stoch_simul(var_list_);

Error in ==> dynare at 114
evalin(‘base’,fname) ;

I’m just simulating the Ireland (2004) model, with TFP uncertainty shocks. The problem occurs bc I put stoch_simul (order=3,…).
This issue doesn’t occur when I use the stable version, though I cannot use the pruning for 3rd approx.

Any explanation why I get this mistake?

I think this means that the k_order_perturbation DLL was not correctly compiled or detected by MATLAB/Octave.

Can you provide more details about your system? (MATLAB or Octave version; Windows, GNU/Linux or MacOS X)

Did you compile the MEX files yourself?

Hi. Sorry for my very late reply, but was very busy on other work and forgot about this post.

There should be no problem with the mod file, as a friend of mine runs my code flawlessly.

My matlab version is R2010a ; Windows Vista.

Concerning the MEX files, no, I didn’t touch the mex files

Does the problem still occurs with the latest Dynare unstable snapshot?

And what about Dynare 4.3.2?

stable version 4.3.2 works flawlessly, while the unstable version doesn’t work

Did you try a recent unstable snapshot?

I am having a similar problem that I believe is related. I am trying to get Dynare to work wiht Scientific Linux 6. I have installed local versions of autoconf and automake since Dynare requires very recent versions of those programs. I am trying to build the unstable version from the git repository, which I updated today to mirror the repository hosted on dynare.org.

The commands

./configure
make
make pdf
make html

work without complaint. However,

make check

fails because there is the assumption that the user has matlab when make check is called. I do not have matlab on this machine. This is really a secondary problem that I think is likely a bug. The primary issue is that the example files (e.g. example1.mod) do not work properly with the resulting build of Dynare because they do not have access to linsolve and other functions that have to be built from the mex files. I am wondering if there isn’t something in the build process of the unstable version that requires matlab in order to build the mex files. That would be my guess. I think it is related to this problem because k_order_perturbation is also a mex file. Any help would be much appreciated.

Best,

Ben

A few remarks:

[ul]
] I encourage you to build a stable version of Dynare (4.3.2 being the latest today), since there are potentially less problems with stable versions/:m]
] if you don’t have MATLAB, it is perfectly possible to build Dynare. In that case, it will use Octave/:m]
] generic build instructions are on dynare.org/DynareWiki/Buildi … FromSource/:m]
] if you want more help, please report the error message that you get/:m][/ul]